player_blinkenlight_data Struct Reference

Data: state (PLAYER_BLINKENLIGHT_DATA_STATE) The `blinkenlight` data provides the current state of the indicator light. More...

`#include <player_interfaces.h>`

## Public Attributes

uint8_t | enable
| FALSE: disabled, TRUE: enabled.
float | period
| flash period (duration of one whole on-off cycle) [s]. More...
float | dutycycle
| flash duty cycle (ratio of time-on to time-off in one cycle). More...
player_color_t | color
| the color of the light

## Detailed Description

Data: state (PLAYER_BLINKENLIGHT_DATA_STATE) The `blinkenlight` data provides the current state of the indicator light.

## Member Data Documentation

float player_blinkenlight_data::dutycycle

flash duty cycle (ratio of time-on to time-off in one cycle).

float player_blinkenlight_data::period

flash period (duration of one whole on-off cycle) [s].

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45